Subject: Re: [bitcoin-dev] Surprisingly, Tail Emission Is Not Inflationary

From: Giuseppe B <[email-masked]>
Date: Mon, 11 Jul 2022 12:42:58 +0200

I think the discussion has some anecdotic interest but has zero relevance
as far as any decision making is concerned.

Any extension of block rewards after the current deadline should only be
done if and only if the community agrees that it is the only way to keep
the network secure.

The fact that a mild inflation is sometimes compensated by coin loss is
like a bonus.

On Mon, Jul 11, 2022, 11:56 AM Stefan Richter via bitcoin-dev <
[email-masked]> wrote:

> I very much agree with AJ here. This is something I remember discussing on
> Bitcointalk back in 2011: I find it highly intuitive that the amount of
> lost coins is not a constant fraction of the supply, because people get
> better at keeping their coins with increasing value, distribution and
> technology/best practices. I also think that we have observed this effect
> in practice since then. The bulk of coins that are supposed to be lost (via
> onchain analysis) haven't been moved since at least 2010. Of course, in
> most cases, we'll never know, but the assumption of constant loss rate
> seems unreasonable.
>
> Cheers
>   Stefan
>
> Anthony Towns via bitcoin-dev <[email-masked]>
> schrieb am Mo., 11. Juli 2022, 04:32:
>
>> On Sat, Jul 09, 2022 at 08:46:47AM -0400, Peter Todd via bitcoin-dev
>> wrote:
>> > title:  "Surprisingly, Tail Emission Is Not Inflationary"
>>
>> > Of course, this isn't realistic as coins are constantly being lost due
>> to
>> > deaths, forgotten passphrases, boating accidents, etc. These losses are
>> > independent:
>>
>> This isn't necessarily true: if the losses are due to a common cause,
>> then they'll be heavily correlated rather than independent; for example
>> losses could be caused by a bug in a popular wallet/exchange software
>> that sends funds to invalid addresses, or by a war or natural disaster
>> that damages key storage hardware. They're also not independent over
>> time -- people improve their key storage habits over time; eg switching
>> to less buggy wallets/exchanges, validating addresses before using them,
>> using distributed multisig to prevent a localised disaster from being
>> catastrophic.
>>
>> > the *rate* of coin loss at time $$t$$ is
>> > proportional to the total supply *at that moment* in time.
>>
>> This is the key assumption that produces the claimed result.
>>
>> If you're losing a constant fraction, x (Peter's \lambda), of Bitcoins
>> each year, then as soon as the supply increases enough that the constant
>> reward, k, corresponds to the constant fraction, ie k = x*N(t), then
>> you've hit an equilibrium.  (Likewise if you're losing more than you're
>> increasing -- you just need to wait until N(t) decreases enough that you
>> reach the same equilibrium point) You don't really need any fancy maths.
>>
>> But that assumption doesn't need to be true; coins could primarily be
>> lost in "black swan" events (due to bugs, wars or disasters) rather
>> than at a predictable rate -- with actions taken thereafter such that
>> the same event repeating is no longer the same level of catastrophe,
>> but instead another new black swan event is required to maintain the same
>> loss rate. If that's the case, then the rate at which funds are lost will
>> vary chaotically, leading to "inflationary" periods in between events,
>> and comparatively strong deflationary shocks when these events occur.
>>
>> Alternatively, losses could be at a predictable rate that's entirely
>> different to the one Peter assumes.
>>
>> One alternative predictable rate that seems plausible to me is if funds
>> are lost due to people not be careful about losing small amounts; even
>> though they are careful when amounts are larger. So when 10k BTC was
>> worth $40, maybe it doesn't matter if you misplace a hard drive with
>> 7500 BTC on it since that's only worth $30; but by the time 7500 BTC
>> is worth $150M, maybe you take a bit more care with that, but are still
>> not too worried if you lose 1.5mBTC, since that's also only worth $30.
>>
>> To mathematise that, perhaps there are K people holding Bitcoin, and with
>> probability p, each loses $100 (in constant 2009 dollars say, so that we
>> can ignore inflation) of that Bitcoin a year through carelessness. For
>> an equilibrium to occur in that case, you need:
>>
>>   N(t) + k - (100/P * Kp) = N(t)
>>
>> where P is the price of Bitcoin (again in constant 2009 dollars) and k
>> is Peter's fixed tail subsidy. Simplifying gives:
>>
>>   P = K * 100p/k
>>
>> But k and p are constant by assumption in this scenario, so equilibrium
>> is reached only if price (P) is exactly proportional to number of
>> users (K). That requires you to have a non-inflationary currency
>> (supply is constant) with constant adoption (assume K doesn't change)
>> that maintains a constant price (P=K*100p/k) in real terms even if the
>> economy is otherwise expanding or contracting.
>>
>> More importantly, just from a goals point of view, x is something we
>> should be finding ways to minimise it over time, not leave constant.
>> In fact, you could argue for an even stronger goal: "the real value held
>> in BTC lost each year should decrease", that is, x should be decreasing
>> faster than 1/(N(t)*P).
>>
>> Cheers,
>> aj
>>
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>